=== debian/changelog ===
profphd (1.0.38-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * New upstream release

  [ Andreas Tille ]
  * debian/control: Added rsync to Build-Depends
    Closes: #646662
  * debian/watch: Stripped unneeded comments
  * debian/patches: Deleted empty dir

 -- Andreas Tille <tille@debian.org>  Wed, 26 Oct 2011 08:09:27 +0200

profphd (1.0.37-1) unstable; urgency=low

  * Initial release in Debian (Closes: #643324)
  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 28 Sep 2011 14:51:19 +0200

profphd (1.0.36-1) UNRELEASED; urgency=low

  * New upstream release

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 28 Sep 2011 12:31:43 +0200

profphd (1.0.35-1) UNRELEASED; urgency=low

  * added Replaces and Conflicts to control file for
    profphd-perl and profphd-data

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 27 Sep 2011 11:05:27 +0200

profphd (1.0.34) unstable; urgency=low

  * fixed "HTMTOP_RID    :-10.942" bug in src/prof/scr/lib/lib-prof.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 20 May 2011 21:09:41 +0200

profphd (1.0.33) unstable; urgency=low

  * use warnings in phd.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 01 Mar 2011 16:00:23 +0100

profphd (1.0.32) unstable; urgency=low

  * copyright corrected to GPL

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Nov 2010 16:49:36 +0100

profphd (1.0.31) unstable; urgency=low

  * Makefile update - works now on Ubuntu as well (/bin/sh bug)

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 26 Nov 2010 16:49:36 +0100

profphd (1.0.29)

  * [A-Z.~_!] in src/prof/scr/lib/lib-col.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 14:28:49 +0200

profphd (1.0.28)

  * provide NORM_EXP for Selenocysteine:
    $NORM_EXP{"U"} = $NORM_EXP{"C"}; # U - Selenocysteine # lkajan quick hack

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 13:54:03 +0200

profphd (1.0.27)

  * fasta AA pattern now [A-Z.~_!]

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 20 Oct 2010 11:54:27 +0200

profphd (1.0.26)

  * Documented `optJury'
  * prof in debug mode now dumps final parameter values before starting actual work
  * Proper error reporting when input file is empty

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Oct 2010 08:48:44 +0200

profphd (1.0.25)

  * work dir now automatically set to temp dir when not given
  * introduced translate-jobid-in-param-values param to suppress unexpected file name (and other) conversions - now you have to explicitly ask for this behaviour

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 27 Aug 2010 17:33:30 +0200

profphd (1.0.24)

  * Man page syntax corrected
  * Better debugging output

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 27 Aug 2010 17:33:30 +0200

profphd (1.0.23)

  * Now the default is to no change nice level
  * Documented para3 paraBoth paraSec paraAcc numresMin nresPerLineAli riSubSec riSubAcc riSubSym

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 23 Aug 2010 20:48:29 +0200

profphd (1.0.22)

  * Documented a phd.pl call
  * Fixed overzealous ID substitution in src/prof/embl/scr/lib-phd.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Mon, 05 Jul 2010 12:25:14 +0200

profphd (1.0.21)

  * Fixed verbosity bug that lead to incorrect call to hssp_filter.pl

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 24 Jun 2010 14:54:11 +0200

profphd (1.0.20)

  * Changed default to silent mode from verbose

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 24 Jun 2010 11:56:26 +0200

profphd (1.0.19)

  * Added param dirWork to prof/scr/lib/lib-prof.pl exeCopf call
  * Markus' failing sequence now works ('ARCH' in file name problem)
  * Weird prof/scr/lib/lib-prof.pl $fileOut{1,$kwd} constructs eliminated
  * Resolved bug 9 'prof creates tmp files into current directory (where it is run from)'

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 15 May 2010 13:38:56 +0200

profphd (1.0.18)

  * resolved bug #10 html formatting of ouput 

 -- Guy Yachdav <gyachdav@rostlab.org> Sun, 02 May 2010 13:28:27 +0200

profphd (1.0.17)

  * Much more efficient install Makefile target
  * Produces gold standard for tsnap_query.fasta
  * Able to use dirWork now: read-only input file dir is now OK
  * Command line options now correctly documented: no leading -
  * sed --in-place -> -i, --in-place is not understood by Mac sed

 -- Laszlo Kajan <lkajan@rostlab.org> Sat, 15 May 2010 13:38:41 +0200

profphd (1.0.16)

  * corrected faulty file name extension matching: escapes '.' now

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 09 Feb 2010 18:18:43 +0100

profphd (1.0.15)

  * removed pub blast - it was not in use

 -- Laszlo Kajan <lkajan@rostlab.org>  Sat, 16 Jan 2010 11:03:59 +0100

profphd (1.0.14)

  * moved ./src/prof/scr/safFilterRed.pl to librg-utils-perl

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 15 Jan 2010 16:00:43 +0100

profphd (1.0.13)

  * Modifications now allow usage of RG::Utils::* modules

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 14 Jan 2010 21:10:39 +0100

profphd (1.0.12)

  * added debugging for system()-like calls to scr/pack/hssp_filter.pm
  * added more examples: DMD_HUMAN.hssp is huge; PSA2_HUMAN.safFil has xxxx_a and xxxx_A sequences;
  * increased MAXCORE to 16777216 in filter_hssp.f in order to allow a big alignment to fit (DMD_HUMAN.hssp example)
  * Made sequence names case sensitive for READ_MSF routine - solves bug with 3h4p_A and 3h4p_a chains mistaken for the same thing

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 12 Jan 2010 11:52:56 +0100

profphd (1.0.11)

  * Fixed hssp_filter 'gyachdav' path bug

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 08 Jan 2010 12:49:19 +0100

profphd (1.0.10)

  * Removed faulty executable checks that did not take PATH into account

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Jan 2010 18:24:46 +0100

profphd (1.0.9)

  * Removed bin dependency of make all target because the binary utilities are distributed in a separate package

 -- Laszlo Kajan <lkajan@rostlab.org>  Thu, 07 Jan 2010 15:06:40 +0100

profphd (1.0.8)


