=== debian/control ===
Source: profphd
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), perl, rsync
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profphd/trunk/
DM-Upload-Allowed: yes
Homepage: http://predictprotein.org/

Package: profphd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, librg-utils-perl (>= 1.0.16), profnet-prof, profphd-utils, profphd-net
Replaces: profphd-data, profphd-perl
Conflicts: profphd-data, profphd-perl
Recommends: pp-popularity-contest
Description: secondary structure and solvent accessibility predictor
 This package provides prof(1), the protein secondary structure, accessibility
 and transmembrane helix predictor from Burkhard Rost.  Prediction is either
 done from protein sequence alone or from an alignment - the latter should be
 used for optimal performance.
 .
 How well does prof(1) perform?
 .
  * Secondary structure is predicted at an expected average accuracy > 72% for
    the three states helix, strand and loop.
 .
  * Solvent accessibility is predicted at a correlation coefficient
    (correlation between experimentally observed and predicted relative
    solvent accessibility) of 0.54
 .
  * Transmembrane helix prediction has an expected per-residue accuracy of
    about 95%.  The number of false positives, i.e., transmembrane helices
    predicted in globular proteins, is about 2%.
