=== debian/watch ===
version=3
ftp://rostlab.org/profphd/profphd-([0-9.]+)\.tar\.gz debian uupdate
