=== debian/changelog ===
profphd (1.0.39-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Make author field BibTeX compliant

  [ Laszlo Kajan ]
  * New upstream release. (Closes: #684857)

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 14 Aug 2012 19:50:34 +0200
