=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.0.50~), perl, rsync
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/profphd/trunk/
 DM-Upload-Allowed: yes
