## profphd 1.0.40

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export PACKAGE := profphd
-export VERSION := 1.0.39
+export VERSION := 1.0.40
 export PACKAGE_VERSION := $(VERSION)
 export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
 export DISTDIR := $(PACKAGE)-$(VERSION)
@@ -64,7 +64,7 @@
 dist: dist-profphd
 
 dist-profphd:	$(DISTDIR)
-	tar -c -f - "$(DISTDIR)" | xz --best -c >$(DISTDIR).tar.xz
+	tar -c -f - "$(DISTDIR)" | xz -c >$(DISTDIR).tar.xz
 	rm -rf $(DISTDIR)
 
 $(DISTDIR): distclean
