=== debian/changelog ===
profphd (1.0.40-1) unstable; urgency=low

  [ Laszlo Kajan ]
  * New upstream release.

  [ Gregor Herrmann ]
  * Fix "FTBFS with perl 5.18: POD failure":
    add patch to fix POD
    (Closes: #720497)

  [ Andreas Tille ]
  * cme fix dpkg-control
  * anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Thu, 29 Aug 2013 08:52:49 +0200
