## profphd 1.0.42

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 export PACKAGE := profphd
-export VERSION := 1.0.40
+export VERSION := 1.0.42
 export PACKAGE_VERSION := $(VERSION)
 export PACKAGE_STRING := $(PACKAGE) $(PACKAGE_VERSION)
 export DISTDIR := $(PACKAGE)-$(VERSION)
