=== debian/changelog ===
profphd (1.0.42-2) unstable; urgency=medium

  [ Tatiana Malygina ]
  * Team upload.
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * add hardening in d/rules
  * add patches 1-4 to use latest perl 5.22 (UNFINISHED! checking if this works) 
  * add debian/tests (unfinished too)
  * remove autopkgtest-perl commands - they actually do nothing - and replaced 
    them with syntax check for all .pm files inside src dir (which is run with 
    command 'perl -c <name>.pm')
  * update comments in debian/tests/profphd-install-test
  * add header to debian/patches/5_fix_regex_warning.patch
  * cleaned up debian/patches/3_fix_indexing.patch

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * debhelper 10
  * d/rules: do not parse d/changelog
  * Standards-Version: 4.1.1

 -- Tatiana Malygina <merlettaia@gmail.com>  Thu, 16 Nov 2017 15:10:34 +0100

profphd (1.0.42-1) unstable; urgency=medium

  * Moved debian/upstream to debian/upstream/metapackages
  * remove redundant stuff from d/watch
  * debhelper 9
  * Priority: optional
  * short dh instead of cdbs
  * cme fix dpkg-control
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jul 2015 19:29:28 +0200
