=== debian/control ===
--- 
+++ 
@@ -3,21 +3,20 @@
 Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Priority: extra
-Build-Depends: cdbs,
-               debhelper (>= 7.0.50~),
+Priority: optional
+Build-Depends: debhelper (>= 10),
                perl,
                rsync
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/rostlab/profphd/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/rostlab/profphd/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/profphd.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/profphd.git
 Homepage: http://predictprotein.org/
 
 Package: profphd
 Architecture: all
 Depends: ${perl:Depends},
          ${misc:Depends},
-         librg-utils-perl (>= 1.0.16),
+         librg-utils-perl,
          profnet-prof,
          profphd-utils,
          profphd-net
@@ -44,4 +43,3 @@
   * Transmembrane helix prediction has an expected per-residue accuracy of
     about 95%.  The number of false positives, i.e., transmembrane helices
     predicted in globular proteins, is about 2%.
-
